using Unity.Mathematics;
using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using Unity.Entities;
using UnityEngine;

[System.Serializable]
public struct Blackhole : IComponentData
{
	public float elapsedTime;
	public float speed;
}

[RequiresEntityConversion]
public class BlackholeAuthoring: MonoBehaviour, IConvertGameObjectToEntity
{
    public Blackhole blackhole;
    public void Convert(Entity entity, EntityManager dstManager, GameObjectConversionSystem conversionSystem)
    {
        dstManager.AddComponentData(entity, blackhole);
    }
}
