using Unity.Mathematics;
using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using Unity.Entities;
using UnityEngine;
using Unity.Physics;

[System.Serializable]
public struct PlayerTether : IComponentData
{
	public float range;
	public float pullForce;
	public float topLevel;
}
[RequiresEntityConversion]
public class PlayerTetherAuthoring: MonoBehaviour, IConvertGameObjectToEntity
{
    public PlayerTether playerTether;
    public void Convert(Entity entity, EntityManager dstManager, GameObjectConversionSystem conversionSystem)
    {
        dstManager.AddComponentData(entity, playerTether);
    }

	public void OnDrawGizmos()
	{
#if UNITY_EDITOR
		UnityEditor.Handles.DrawWireDisc(transform.position, Vector3.up, playerTether.range);
		UnityEditor.Handles.DrawWireDisc(transform.position, Vector3.up, playerTether.range*1.1f);
#endif
	}
}
