using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Unity.Entities;
using Unity.Mathematics;

public class BlackholeRestarter : ComponentSystem
{
	protected override void OnUpdate()
	{
		Entities.ForEach((ref Blackhole blackHole) =>
		{
			if (blackHole.elapsedTime > 30.0f)
			{
				EntityManager.DestroyEntity(EntityManager.UniversalQuery);
				UnityEngine.SceneManagement.SceneManager.LoadScene(0);
			}
		});
	}
}