using Unity.Mathematics;
using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using Unity.Entities;
using UnityEngine;

[System.Serializable]
public struct LevelChange : IComponentData
{
	int levelIndex;
	int atScore;
}
[RequiresEntityConversion]
public class LevelChangeAuthoring: MonoBehaviour, IConvertGameObjectToEntity
{
    public LevelChange levelChange;
    public void Convert(Entity entity, EntityManager dstManager, GameObjectConversionSystem conversionSystem)
    {
        dstManager.AddComponentData(entity, levelChange);
    }
}
