using Unity.Mathematics;
using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using Unity.Entities;
using UnityEngine;

[System.Serializable]
public struct Player : IComponentData
{
	
}

[RequiresEntityConversion]
public class PlayerAuthoring: MonoBehaviour, IConvertGameObjectToEntity
{
    public Player player;
	public PlayerMovementData playerMovementData;
	public TrailLayer trailLayer;
	public PlayerScoring playerScoring;
    public void Convert(Entity entity, EntityManager dstManager, GameObjectConversionSystem conversionSystem)
    {
		//dstManager.addcomponentData
        dstManager.AddComponentData(entity, player);
		dstManager.AddComponentData(entity, new InputMovementComponent());
		dstManager.AddComponentData(entity, new InputAbilitiesComponent());
		dstManager.AddComponentData(entity, playerMovementData);
		dstManager.AddComponentData(entity, trailLayer);
		dstManager.AddComponentData(entity, playerScoring);

	}
}
