using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Unity.Entities;
using Unity.Mathematics;

public class PlayerScoreScalingSystem : ComponentSystem
{
	protected override void OnUpdate()
	{
		Entities.ForEach((ref PlayerScoring playerScore,ref NonUniformScale scale) =>
		{
			var newScale = LevellingData.Inst.playerScaling.Evaluate(playerScore.score);
			scale.Value = newScale;
		});
	}
}