using Unity.Mathematics;
using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using Unity.Entities;
using UnityEngine;

[System.Serializable]
public struct Gatherable : IComponentData
{
	public float baseMass;
}
[RequiresEntityConversion]
public class GatherableAuthoring: MonoBehaviour, IConvertGameObjectToEntity
{
    public Gatherable gatherable;
    public void Convert(Entity entity, EntityManager dstManager, GameObjectConversionSystem conversionSystem)
    {
        dstManager.AddComponentData(entity, gatherable);
    }
}
