using Unity.Transforms;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Unity.Entities;
using Unity.Mathematics;

[UpdateInGroup(typeof(PresentationSystemGroup))]
public class TrailDestroyingSystem : ComponentSystem
{
	protected override void OnUpdate()
	{
		Entities.WithAll<TrailLoop, TrailFinished>().ForEach((Entity ent) =>
		{
			PostUpdateCommands.DestroyEntity(ent);
		});
	}
}